Subject: bug#17530: 24.4.50; `package-load-list': incorrect defcustom type

From: Drew Adams <[email-masked]>
Date: Sun, 15 Sep 2019 15:05:25 -0700 (PDT)

> > > So pretty much anyone installing packages
> >
> > No, anyone who wants to _load_ packages.  You would
> > specify/configure which packages to load, yes.  Is
> > that outlandish or too restrictive?
> 
> It's too restrictive, yes.  You have already specified
> that you want to use them by installing them.

Really?  How so?  Installing isn't loading.  Mightn't
a user install some packages that s?he doesn't want to
load?

After all, isn't that the _point_ of this user option?
A user might install packages at various times, for
various reasons.  Why would it follow that s?he wants
to load them all by default?

Isn't "installing" essentially downloading, compiling,
and setting up autoloads?  It doesn't imply loading,
AFAIK.

> >> would have to customize it to `(all)' in order to
> >> get their packages working.  That sounds like a
> >> worse default.
> >
> > Not to me, it doesn't.  Just because you've installed
> > some packages doesn't mean you want them to all to be
> > loaded.
> 
> In this use case you would customize `package-initialize'
> to only load what you're interested in.

Customization can work for any use case.  That doesn't
speak to what the default value should be.  It's just
as arguable that if you want all then you customize to
`(all)'.

> > Why would we assume that, by default, users should
> > load the latest installed versions of all installed
> > packages?
> 
> Because that's what most users would expect, I think.

I'm asking why you think that.

You don't think that most users would expect that all
libraries in their `load-path' should be loaded by
default, do you?  (I don't.)  If you don't, then why
do you think differently about installed packages?